WorkflowDocsPresenter (gCube Workflow Documents Manager Portlet 2.4.0-SNAPSHOT API)
Date: 2015-11-01

org.gcube.portlets.admin.wfdocviewer.client.presenter

## Class WorkflowDocsPresenter

- java.lang.Object
- - org.gcube.portlets.admin.wfdocviewer.client.presenter.WorkflowDocsPresenter

- All Implemented Interfaces:
    Presenter

      public class WorkflowDocsPresenter
      extends Object
      implements Presenter

  Version:
    May 2011 (0.1)
  Author:
    Massimiliano Assante, ISTI-CNR - massimiliano.assante@isti.cnr.it

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `WorkflowDocsPresenter(WorkflowDocServiceAsync rpcService, com.google.gwt.event.shared.HandlerManager eventBus, Display view)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `bind()`
    `void` | `doAddRolesToSelectedStep(ArrayList<org.gcube.portlets.admin.wfdocslibrary.shared.WfRoleDetails> roles)`
    `void` | `doInstanciateNewWorkflow(String reportid, String reportName)`
    `void` | `go(com.google.gwt.user.client.ui.HasWidgets container)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### WorkflowDocsPresenter

          public WorkflowDocsPresenter(WorkflowDocServiceAsync rpcService,
                               com.google.gwt.event.shared.HandlerManager eventBus,
                               Display view)

      Parameters:
        `rpcService` -
        `eventBus` -
        `view` -

  - ### Method Detail

    - #### bind

          public void bind()

    - #### go

          public void go(com.google.gwt.user.client.ui.HasWidgets container)

      Specified by:
        `go` in interface `Presenter`

    - #### doInstanciateNewWorkflow

          public void doInstanciateNewWorkflow(String reportid,
                                      String reportName)

      Specified by:
        `doInstanciateNewWorkflow` in interface `Presenter`

    - #### doAddRolesToSelectedStep

          public void doAddRolesToSelectedStep(ArrayList<org.gcube.portlets.admin.wfdocslibrary.shared.WfRoleDetails> roles)

      Specified by:
        `doAddRolesToSelectedStep` in interface `Presenter`

Copyright © 2015. All Rights Reserved.